Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script.xml
Class NonMutablePicoContainerContainerTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.jmock.core.VerifyingTestCase
                  org.jmock.core.MockObjectSupportTestCase
                      org.jmock.MockObjectTestCase
                          org.nanocontainer.script.AbstractScriptedContainerBuilderTestCase
                              org.nanocontainer.script.xml.NonMutablePicoContainerContainerTestCase

All Implemented Interfaces:
  junit.framework.Test

    public class NonMutablePicoContainerContainerTestCase

extends AbstractScriptedContainerBuilderTestCase

Version:
  $Revision: 1731 $
Author:
  Maarten Grootendorst

Field Summary

Fields inherited from class org.jmock.core.MockObjectSupportTestCase
`ANYTHING, NOT_NULL, NULL`

Constructor Summary
`NonMutablePicoContainerContainerTestCase()`

Method Summary
`void` | `testCreateSimpleContainerWithMutablePicoContainer()`
`void` | `testCreateSimpleContainerWithPicoContainer()`

Methods inherited from class org.nanocontainer.script.AbstractScriptedContainerBuilderTestCase
`buildContainer`

Methods inherited from class org.jmock.MockObjectTestCase
`atLeastOnce, defaultMockNameForType, mock, mock, never, newCoreMock, once, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, throwException`

Methods inherited from class org.jmock.core.MockObjectSupportTestCase
`and, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, isA, newDummy, newDummy, newDummy, not, or, same, stringContains`

Methods inherited from class org.jmock.core.VerifyingTestCase
`registerToVerify, runBare, unregisterToVerify, verify`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonMutablePicoContainerContainerTestCase

    public NonMutablePicoContainerContainerTestCase()

Method Detail

### testCreateSimpleContainerWithPicoContainer

    public void testCreateSimpleContainerWithPicoContainer()
                                                    throws ParserConfigurationException,
                                                           SAXException,
                                                           IOException,
                                                           ClassNotFoundException,
                                                           org.nanocontainer.integrationkit.PicoCompositionException

  Throws:
    `ParserConfigurationException`
    `SAXException`
    `IOException`
    `ClassNotFoundException`
    `org.nanocontainer.integrationkit.PicoCompositionException`

### testCreateSimpleContainerWithMutablePicoContainer

    public void testCreateSimpleContainerWithMutablePicoContainer()
                                                           throws ParserConfigurationException,
                                                                  SAXException,
                                                                  IOException,
                                                                  ClassNotFoundException,
                                                                  org.nanocontainer.integrationkit.PicoCompositionException

  Throws:
    `ParserConfigurationException`
    `SAXException`
    `IOException`
    `ClassNotFoundException`
    `org.nanocontainer.integrationkit.PicoCompositionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.